Project

General

Profile

Statistics
| Revision:
  • svn:ignore: *.pyc

# Date Author Comment
13222 04/21/2014 12:26 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: stderr_matches(): echo_vars @PIPESTATUS_ to assist debugging

13221 04/20/2014 11:37 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr2stdout(): use piped_cmd to ignore SIGPIPE since the output of this will piped to another command

13220 04/20/2014 06:22 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: setup_log_fd(): $log_fd: use 3 (stdlog) since other scripts are likely to use this for logging as well

13219 04/20/2014 06:20 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: setup_log_fd(): fd_set_default(): use $log_fd instead of repeating the value of it

13218 04/20/2014 06:05 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: die(): log at higher log_level, since this is logging code

13217 04/20/2014 06:02 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: highlight_log_msg(): log at higher log_level, since this is logging code

13216 04/20/2014 05:54 PM Aaron Marcuse-Kubitza

bugfix: lib/runscripts/util.run: $subdirs: adjusted log_level now that echo_vars is one log_level lower

13215 04/20/2014 05:46 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): only set benign_error=1 if the matched error occurred

13214 04/20/2014 05:44 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: ignore_e(): also set benign_error=1

13213 04/20/2014 05:40 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: prep_try alias: removed inaccurate comment

13212 04/20/2014 05:33 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stdout2fd(): moved after redir() which it depends on

13211 04/20/2014 05:24 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: command(): moved `|| die_e` to command__exec so it would be properly indented under the echoed command

13210 04/20/2014 05:12 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: verbosity_compat(): log at higher log_level because it's logging code

13209 04/20/2014 05:10 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: $benign_error: log at higher log_level because it's logging code

13208 04/20/2014 05:06 PM Aaron Marcuse-Kubitza

lib/runscripts/util.run: $wrap_fn: log at higher log_level because it's startup code

13207 04/20/2014 04:55 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: $top_* vars, $is_outermost: log at higher log_level because it's startup code

13206 04/20/2014 04:52 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: $top_script: echo_vars this like the other $top_* vars

13205 04/20/2014 04:50 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: .(): log at higher log_level because it's startup code

13204 04/20/2014 04:45 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: is_dot_script(): run with higher log_level since this is run at the beginning of the script

13203 04/20/2014 04:44 PM Aaron Marcuse-Kubitza

lib/sh/util.sh, runscripts/util.run: set_paths(): run with higher log_level to hide all the paths that are set at the beginning of the script

13202 04/20/2014 04:28 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added log++ stub

13201 04/20/2014 04:22 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added log_local stub

13200 04/20/2014 03:15 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added log() stub so internal commands can use it

13199 04/20/2014 03:10 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: echo_vars(): log at same log_level as echo_func so kw_params are displayed along with positional params

13198 04/20/2014 03:08 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: rel_path(): log this internal command at a higher log_level so it's normally hidden

13197 04/20/2014 02:43 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: log_msg!(): log split_lines at a higher log_level so it's normally hidden

13196 04/19/2014 10:22 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): `log_local; log++` should apply to just stdout_contains() and part of stderr2stdout() rather than all of stderr_matches()

13192 04/19/2014 10:09 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: stderr_matches(): run at higher log_level because error-handling internals should not be logged by default

13191 04/19/2014 10:07 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/db.sh: mysql_ctl(): need to ignore errors if not running

13190 04/19/2014 10:04 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): handle any error: only ignore_e if the error exit status was associated with the matched error message

13189 04/19/2014 09:57 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: stderr_matches(): handle any error: need force-exit with rethrow_exit() because caller's test of return status disables errexit

13188 04/19/2014 09:54 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added rethrow_exit(), which exits even where errexit is disabled

13187 04/19/2014 09:48 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/db.sh: mysql_snapshot(): need to run `mysql_ctl start` even if there is an error

13186 04/19/2014 09:38 PM Aaron Marcuse-Kubitza

lib/sh/db.sh: mysql_snapshot(): $to: default to $from.bak

13185 04/19/2014 08:06 PM Aaron Marcuse-Kubitza

lib/sh/db.sh: added mysql_snapshot()

13184 04/19/2014 07:46 PM Aaron Marcuse-Kubitza

lib/sh/db.sh: added mysql_ctl()

13183 04/19/2014 07:35 PM Aaron Marcuse-Kubitza

lib/sh/db.sh: pg_cmd(): updated to use new sudo()

13182 04/19/2014 07:14 PM Aaron Marcuse-Kubitza

lib/runscripts/util.run: added sudo() override that uses $wrap_fn to support shell functions

13181 04/19/2014 07:13 PM Aaron Marcuse-Kubitza

fix: lib/runscripts/util.run: $wrap_fn: make it usable even if $top_script isn't world-executable

13180 04/19/2014 07:11 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: sudo alias: use function instead so this can be overridden

13179 04/19/2014 07:09 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added is_intern()

13178 04/19/2014 07:07 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: is_callable(): use just $1 because multiple args are not applicable

13177 04/19/2014 07:06 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added is_world_executable()

13176 04/19/2014 07:06 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added has_perms()

13175 04/19/2014 06:49 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: esc_args(): renamed to just esc() because this can also be used on a single value

13174 04/19/2014 05:51 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added is_extern()

13173 04/19/2014 10:57 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: added sudo alias to alias-expand command

13172 04/19/2014 10:57 AM Aaron Marcuse-Kubitza

lib/sh/db.sh: pg_cmd(): $as_root: use $sudo

13171 04/19/2014 10:54 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: added $sudo

13170 04/19/2014 10:24 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: added cp alias

13169 04/19/2014 09:55 AM Aaron Marcuse-Kubitza

lib/sh/db.sh: removed no longer used pg_as_root(), which was buggy anyway. use `as_root=1 ...` instead.

13168 04/19/2014 09:38 AM Aaron Marcuse-Kubitza

lib/sh/db.sh: mysql_ANSI: fixed comment

13166 04/18/2014 05:34 PM Aaron Marcuse-Kubitza

lib/sh/db.sh: pg_dump(): support dumping entire cluster, and cluster users

13165 04/18/2014 05:10 PM Aaron Marcuse-Kubitza

lib/sh/db.sh: pg_cmd(): added $as_root switch

13162 04/17/2014 02:52 PM Aaron Marcuse-Kubitza

lib/sh/db.sh pg_dump(), bin/pg_dump_vegbien: --format=plain: removed comment that this is the plain format, because this is now self-documenting

13161 04/17/2014 02:51 PM Aaron Marcuse-Kubitza

lib/sh/db.sh pg_dump(), bin/pg_dump_vegbien: --format: use the long form of the formats to make the code self-documenting

13157 04/17/2014 03:31 AM Aaron Marcuse-Kubitza

fix: lib/PostgreSQL-MySQL.csv: preserve schema assignments by translating `SET search_path` to `USE`

13148 04/16/2014 06:35 PM Aaron Marcuse-Kubitza

bugfix: lib/runscripts/import.run: all(): also need to propagate $rm to import()

13116 04/10/2014 02:38 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: local_array/export_array: do need -a because that it's an array is apparently not autodetected by the () on Mac

13079 04/09/2014 02:55 AM Aaron Marcuse-Kubitza

lib/sql_gen.py: map_expr(): documented that unlike bin/repl SQL identifier handling, this does simplify the resulting expression

13078 04/09/2014 02:54 AM Aaron Marcuse-Kubitza

lib/sql_gen.py: map_expr(): documented that this is a special case of bin/repl SQL identifier handling which does not handle entire source files

13076 04/09/2014 02:50 AM Aaron Marcuse-Kubitza

bin/repl, lib/sql_gen.py Expression transforming: documented that this can also be done in Postgres with expression substitution (wiki.vegpath.org/Postgres_queries#expression-substitution)

13058 04/07/2014 01:43 PM Aaron Marcuse-Kubitza

bugfix: lib/runscripts/table.run: table_make_install(): need to ignore skip_table() errexit

13057 04/07/2014 10:39 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: import_vars: documented that vars already set will not be overwritten

13019 04/01/2014 01:31 PM Aaron Marcuse-Kubitza

fix: lib/common.Makefile: $(nice): use an increment of +10 instead of +5 because +5 still leaves the shell sluggish

13018 04/01/2014 01:29 PM Aaron Marcuse-Kubitza

lib/common.Makefile: added $(nice) and use it everywhere its definition is used

13005 03/30/2014 07:54 PM Aaron Marcuse-Kubitza

fix: lib/sql_io.py: put_table(): don't warn if can't create pkey, because this just indicates that a set-returning function was used. this should get rid of the last of the confusing benign warnings in the test output.

13004 03/30/2014 07:53 PM Aaron Marcuse-Kubitza

fix: lib/sql.py: flatten(): don't warn if can't create pkey, because this just indicates that a set-returning function was used

13003 03/30/2014 07:52 PM Aaron Marcuse-Kubitza

lib/sql.py: run_query_into() added add_pkey_warn param to support turning off "could not create unique index" warnings, which are sometimes benign (eg. when using set-returning functions with column-based import)

12987 03/30/2014 05:39 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: removed end_try_subshell, which now does the same thing as end_try

12986 03/30/2014 05:38 PM Aaron Marcuse-Kubitza

fix: lib/sh/archives.sh: unzip(): support -p option, which pipes extracted data to stdout

12984 03/30/2014 05:11 PM Aaron Marcuse-Kubitza

added lib/runscripts/extract_header.run

12983 03/30/2014 05:09 PM Aaron Marcuse-Kubitza

fix: lib/sh/make.sh: direct the user to use begin_target instead of set_make_vars (set_make_vars is now used by begin_target)

12982 03/30/2014 05:06 PM Aaron Marcuse-Kubitza

fix: lib/runscripts/util.run: to_top_file(): handle $_remake properly, without requiring deferred_check_target_exists to set to_file()'s flags

12981 03/30/2014 05:03 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: die(): usage: documented that if msg uses $(...), save_e is needed

12980 03/30/2014 04:59 PM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: already_exists_msg(): need to save_e, because new $(mk_hint) call resets $?

12979 03/30/2014 04:55 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: die(): always errexit even if $e = 0, because die always indicates an error

12978 03/30/2014 04:53 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added rethrow!(), which always errexits, even if $e = 0

12977 03/30/2014 04:53 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: rethrow(): also work in situations where $e is not set

12976 03/30/2014 04:50 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: rethrow: made it a function since there is now no need for it to be an alias

12975 03/30/2014 04:47 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: rethrow: removed `test "$e" != 0` since errexit only does anything if $e != 0

12974 03/30/2014 04:45 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: removed separate rethrow_exit*, rethrow_subshell*, since they now do the same thing as rethrow*

12973 03/30/2014 04:42 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: rethrow*!: use new errexit, which works in functions and subshells

12972 03/30/2014 04:38 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added errexit(), used in place of (exit "$1") because a bug in bash prevents subshells from triggering errexit

12971 03/30/2014 04:18 PM Aaron Marcuse-Kubitza

lib/sh/util.sh: added bool!()

12970 03/30/2014 03:08 PM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: redir(): need to indent before invoking an external command (not just in command__exec(), but for all redir() calls)

12969 03/29/2014 04:10 AM Aaron Marcuse-Kubitza

lib/sh/make.sh: with_rm(): documented that it only works inside a runscript target that starts w/ begin_target

12968 03/29/2014 04:06 AM Aaron Marcuse-Kubitza

*{.sh,run}: runscript targets: use begin_target instead of echo_func so the target name is properly echoed. note that this requires using with_rm so that $rm is properly progagated to applicable invoked targets. (previously, $rm was progagated to all invoked targets. note that with_rm only works inside a runscript target that starts with begin_target.)

12967 03/29/2014 03:58 AM Aaron Marcuse-Kubitza

lib/sh/make.sh: self_make(): renamed to with_rm() for clarity, since this is used only to progagate $rm, and does not also invoke a command with the same name as the current function, as the name might suggest

12964 03/28/2014 07:03 AM Aaron Marcuse-Kubitza

lib/runscripts/util.run: support conventional main() method as well as `all` target

12955 03/28/2014 12:36 AM Aaron Marcuse-Kubitza

bugfix: lib/sh/sync.sh: don't unintentionally rsync-ignore explicitly-specified files

12954 03/28/2014 12:32 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: filesystem: added is_*(), could_be_*()

12953 03/28/2014 12:31 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: added contains_match()

12952 03/28/2014 12:31 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: added ends_with()

12920 03/27/2014 03:31 AM Aaron Marcuse-Kubitza

bugfix: lib/common.Makefile: $(add*): need to wrap w/ $(wildcard) to prevent "targets don't exist" error, because svn 1.7 does not suppress this error even with --force

12878 03/24/2014 01:43 AM Aaron Marcuse-Kubitza

bugfix: lib/runscripts/table.run: schema/make calls: need to use `make schema` instead because old-style datasources don't have a top-level runscript (the absence of this identifies them as old-style so inputs/input.Makefile works correctly)

12872 03/22/2014 06:20 AM Aaron Marcuse-Kubitza

bugfix: lib/sh/util.sh: DON'T do `shopt -s lastpipe` because this causes a segfault on Linux in stderr_matches(). (it also isn't supported on Mac.) use @PIPESTATUS instead. note that we do not currently need lastpipe, since we use @PIPESTATUS (which actually provides more functionality for our purposes).

12871 03/22/2014 06:02 AM Aaron Marcuse-Kubitza

fix: lib/sh/util.sh: echo_func(): file/line #: display with regular color because the lighter color actually draws attention to rather than away from the faded text

12870 03/22/2014 05:59 AM Aaron Marcuse-Kubitza

lib/sh/util.sh: added plain()

12868 03/22/2014 05:50 AM Aaron Marcuse-Kubitza

bugfix: lib/sql_io.py: put_table(): is_literals: `return sql.value(cur): need to use sql.value_or_none() instead to support multi-row functions, such as _split() used in specimens data`